## wims 3.28

=== src/Flydraw/gd/Makefile ===
#Depending on your system, you will need to modify this makefile.

#If you do not have gcc, change the setting for CC, but you must
#use an ANSI standard C compiler (NOT the old SunOS 4.1.3 cc
#compiler; get gcc if you are still using it). 

#If the ar command fails on your system, consult the ar manpage
#for your system. 

CC=gcc
AR=ar
CFLAGS=-g -O2
RANLIB=ranlib
LIBS=-L./ -lgd -lm

all: libgd.a

gddemo: gddemo.o libgd.a gd.h gdfonts.h gdfontl.h
	$(CC) gddemo.o -o gddemo	$(LIBS)

giftogd: giftogd.o libgd.a gd.h
	$(CC) giftogd.o -o giftogd	$(LIBS) 

libgd.a: gd.o gdfontt.o gdfonts.o gdfontmb.o gdfontl.o gdfontg.o \
	gd.h gdfontt.h gdfonts.h gdfontmb.h gdfontl.h gdfontg.h
	rm -f libgd.a
	$(AR) rc libgd.a gd.o gdfontt.o gdfonts.o gdfontmb.o \
		gdfontl.o gdfontg.o
	$(RANLIB) libgd.a

webgif: webgif.o libgd.a gd.h
	$(CC) webgif.o -o webgif	$(LIBS)

clean:
	rm -f *.o *.a gddemo giftogd

=== src/Module/drawode/Makefile ===
# Module/drawode/Makefile.  Generated from Makefile.in by configure.

cc=gcc
cflags=-g -O2 -Wall
VERSION_DATE=`date '+%Y-%m-%d'`
LIB=-L../../Flydraw/gd

all: drawode drawode_g

drawode.o: drawode.c drawode.h
	$(cc) $(cflags) -c -ffast-math -fomit-frame-pointer -o $@ $<

drawode_func.o: drawode_func.c drawode.h
	$(cc) $(cflags) -c -ffast-math -fomit-frame-pointer -o $@ $<

drawode: drawode.o drawode_func.o
	$(cc) $(cflags) -ffast-math -fomit-frame-pointer -o $@ $+ $(LIB) -lgd -lm

drawode_g: drawode.c drawode_func.c drawode.h
	$(cc) $(cflags) -DDEBUG -o $@ drawode.c drawode_func.c $(LIB) -lgd -lm

clean:
	-rm -f drawode drawode_g *.o

=== src/Misc/chemeq/src/Makefile ===
cxx=g++
CXXFLAGS=-g -O2

chemeq : chemeq.o chemparser.o
	$(cxx) $(CXXFLAGS) -o chemeq chemeq.o chemparser.o -lfl

chemeq.o : chemeq.cc chemeq.h
	$(cxx) $(CXXFLAGS) -c chemeq.cc

chemparser.o : chemparser.cc chemeq.h
	$(cxx) $(CXXFLAGS) -c chemparser.cc

chemparser.cc : chemlex.cc chemeq.y chemeq.h
	bison  --verbose -o chemparser.cc chemeq.y

chemlex.cc : chemeq.l
	flex  -ochemlex.cc chemeq.l

clean :
	rm -f *~ *.o *.output chemeq

=== src/Misc/units-filter/src/Makefile ===
cc=gcc
CFLAGS=-g -O2

units-filter : unites.o
	$(cc) $(CFLAGS) -o units-filter unites.o -lfl

unites.o : unites.c
	$(cc) $(CFLAGS) -c unites.c

unites.c : unites.l unites.y unites.h
	flex  unites.l
	bison  --verbose -o unites.c unites.y

clean :
	rm -f *~ *.o *.output units-filter

## wims 3.56

=== Misc/symtext/Makefile ===
# Misc/symtext/Makefile.  Generated from Makefile.in by configure.

wims_home=../../..
cc=gcc
cflags=-g -O2 -Wall
defines=-DGNU_SOURCE -DVERSION_DATE=\"2006-06-27\"
rpath=
STRIP=strip
lopt=$(rpath)

all:: symtext

clean::
	rm -f symtext

distclean:
	rm -f symtext
	cd $(wims_home)/public_html/bin; rm -f symtext 2>/dev/null; cd ../../src/Misc/symtext
	rm -f Makefile

symtext: *.c *.h
	$(cc) $(cflags) $(lopt) -o symtext symtext.c
	./symtext -t
	$(STRIP) $@
	cp $@ $(wims_home)/public_html/bin

## wims 3.60

=== java/Makefile ===

all: input.jar test

input.jar: input.java
	javac input.java
	jar cvf input.jar input.class inp_*.class
	rm -f input.class inp_*.class

test:
	appletviewer test.html

=== Misc/symtext/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 wims_home=../../..
 cc=gcc
 cflags=-g -O2 -Wall
-defines=-DGNU_SOURCE -DVERSION_DATE=\"2006-06-27\"
+defines=-DGNU_SOURCE -DVERSION_DATE=\"2006-10-17\"
 rpath=
 STRIP=strip
 lopt=$(rpath)

## wims 3.62

=== Misc/chemeq/Makefile ===

all : 
	(cd src; make all)

clean :
	rm -f *~ *.gz
	(cd src; make clean)

=== Misc/symtext/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 wims_home=../../..
 cc=gcc
 cflags=-g -O2 -Wall
-defines=-DGNU_SOURCE -DVERSION_DATE=\"2006-10-17\"
+defines=-DGNU_SOURCE -DVERSION_DATE=\"2007-06-25\"
 rpath=
 STRIP=strip
 lopt=$(rpath)

=== Module/drawode/Makefile ===
# Module/drawode/Makefile.  Generated from Makefile.in by configure.

cc=gcc
cflags=-g -O2 -Wall
LIB=-L../../Flydraw/gd -lgd -lm
O=drawode.o drawode_func.o

all: drawode drawode_g

%.o: %.c drawode.h
	$(cc) $(cflags) -ffast-math -fomit-frame-pointer -o $@ -c $<

drawode: $(O)
	$(cc) $(cflags) -ffast-math -fomit-frame-pointer -o $@ $(O) $(LIB)

drawode_g: drawode.c drawode_func.c drawode.h
	$(cc) $(cflags) -DDEBUG -o $@ drawode.c drawode_func.c $(LIB)

clean:
	-rm -f drawode drawode_g *.o

=== Misc/chemeq/src/Makefile ===
cxx=g++
CXXFLAGS=-g -O2

chemeq : chemeq.o chemparser.o mendeleiev.o
	${CXX} $(CXXFLAGS) -o chemeq chemeq.o chemparser.o mendeleiev.o -lfl

mendeleiev.o : mendeleiev.c chemeq.h
	${CXX} $(CXXFLAGS) -c $<

chemeq.o : chemeq.cc chemeq.h
	${CXX} $(CXXFLAGS) -c chemeq.cc

chemparser.o : chemparser.cc chemeq.h
	${CXX} $(CXXFLAGS) -c chemparser.cc

chemparser.cc : chemlex.cc chemeq.y chemeq.h
	bison  --verbose -o chemparser.cc chemeq.y

chemlex.cc : chemeq.l
	flex  -ochemlex.cc chemeq.l

clean :
	rm -f *~ *.o chemlex.cc  chemparser.cc *.output chemeq

=== modules/H6/geometry/cometshootex.en/src/Makefile ===
PREFIX=/home/wims/public_html/modules/H6/geometry/cometshootex.en

all: StarViewer.class res

res: resources/StarViewer_zh_CN.properties

resources/StarViewer_zh_CN.properties: resources/StarViewer_zh_CN.properties.src
	native2ascii -encoding EUC_CN $< $@

install: all
	cp -f *.class $(PREFIX)/applets
	cp -f *.java $(PREFIX)/javasrc
	cp -rfd resources $(PREFIX)/applets

StarViewer.class: StarViewer.java
	fjavac $+

## wims 4.00

=== debian/changelog ===
wims (4.00-4+squeeze1) stable-proposed-updates; urgency=low

  [ Andreas Beckmann ]
  * wims.postinst: Move mktexlsr call to the start of the configure sequence
    s.t. the font sources shipped with wims can be used in the following
    configuration steps.  Depending on the installation/configuration order
    wims could fail to configure because the Euler fonts were not yet found by
    the latex tools.  (Closes: #574235)

  [ Georges Khaznadar ]
  * checked the compilation and installation in a fresh squeeze chroot

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 05 Mar 2012 10:09:08 +0000

wims (4.00-4) unstable; urgency=low

  * modified wims.postinst: "dpkg-statoverride --list" comes prior to
    "dpkg-statoverride --remove" to ensure a reliable processing.
    Closes: #604203
  * bumped standards-version to 3.9.1
  * inverted the orders of chown and chmod in wims.postinst to allow the
    overrides to be efficient.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 22 Nov 2010 15:26:52 +0100

wims (4.00-3) unstable; urgency=low

  * fixed a typo in the description. Closes: #589421
  * modified the dependency on octave2.1 which exists no more ==> octave3.0
  * added a dependency on graphviz. Closes: #593867

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 06 Aug 2010 19:25:32 +0200

wims (4.00-2) unstable; urgency=low

  * enhanced the description of the package, thanks to Christoph Berg
    and Christian Perrier. Closes: #585078
  * upgraded Standards-Version to 3.9.0
  * upgraded debian/compat to 7

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 02 Jul 2010 19:46:48 +0200

wims (4.00-1) unstable; urgency=low

  * upgraded to the new upstream version.
  * removed the package texgd from the output since this package is now
    overkilled by better TeX utilities to render maths to raster images.
  * added a build-dependency on autoconf
  * changed the config system : instead of the dirty installation of the file
    wims/src/configure, now I use autoreconf
  * added a lot of files to clean in the distclean target of the file
    wims/src/Makefile.in
  * updated many patches to reflect changes in the upstream

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 03 Jun 2010 00:29:28 +0200

wims (3.65+svn20090927-6) unstable; urgency=low

  * removed quilt from Build-Depends
    Closes: #584225

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Jun 2010 23:10:21 +0200

wims (3.65+svn20090927-5) unstable; urgency=low

  * made some improvements, thanks to Sylvain Le Gall:
    - removed the useless file debian/dpatch2quilt
    - renamed docs to wims.docs, dirs to wims.dirs
    - removed the files debian/preinst debian/prerm debian/postinst and
      debian/postrm which are superseded by the files debian/wims.*
    - made a softer management for the conffiles in debian/wims.postinst
    - a few minor changes in debian/rules: rm -f => (RM); erased the
      dh_* calls which were commented out, quoted the occurencies of
      $(CURDIR).
    - removed the unused file debian/sourcefile

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 27 May 2010 02:36:01 +0200

wims (3.65+svn20090927-4) unstable; urgency=low

  * modified debian/rules: the unpatch procedure must be made before
    the "make distclean". If not, the package cannot be built twice properly.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 09 May 2010 18:54:18 +0200

wims (3.65+svn20090927-3) unstable; urgency=low

  * upgraded Standards-Version to 3.8.4
  * created wims-modules.preinst, in order to delete obsoleted symlinks.
    those symlinkshave been installed in former versions
    to begin with an experimental German localisation, which will
    no more be maintained with the same method. See the obsoleted
    patch file debian/patches/20po.patch
    Closes: #579426

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 21 Apr 2010 22:41:00 +0200

wims (3.65+svn20090927-2) unstable; urgency=low

  * added the Knuth's metafont sources for the Euler fonts, which are no more
    part of TexLive 2009, since they have been thoroughly reshaped by 
    Hermann Zapf 
    (see http://tug.org/TUGboat/Articles/tb29-2/tb92hagen-euler.pdf).
    Closes: #574235
  * modified wims-modules.postinst : gives the subdirectories of
    /var/lib/wims to user wims, group wims *before* launching mkindex.
    This should fix annoying errors during the triggered configuration.
  * updated lintian, and fixed the warnings it reported.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 21 Apr 2010 00:25:37 +0200

wims (3.65+svn20090927-1) unstable; urgency=low

  * fixed a bashism in public_html/scripts/data/circuits/mksymbols
    thanks to Raphael Geisser
    Closes: #547764
  * updated the sources from the SVN repository

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 27 Sep 2009 17:38:09 +0200

wims (3.65-1) unstable; urgency=low

  * downloaded newer upstream sources from the SVN repository 
    (2009-09-13).
  * updated the patches for quilt, added a new patch which retrieves
    the file configure coming from wims-3.64
  * fixed a new set of files which had an unnecessary exec permission
  * made a list of files to remove at clean time in Makefile; it 
    should be better to have them removed by other Makefiles in
    subdirectories.
  * Now the sources are cleaned properly;
    Closes: #539153
  * Now every precompiled file is definitely removed:
    Closes: #535837
  * fixed a few remaining bashisms
    Closes: #530224

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 Sep 2009 21:38:38 +0200

wims (3.64-12) unstable; urgency=low

  * added a Russian translation of the templates, thanks to Yuri Kozlov.
    Closes: #546348

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 Sep 2009 00:02:26 +0200

wims (3.64-11) unstable; urgency=low

  * added a dependency on units-filter >= 3.0 (fixes an insidious bug
    about results with a fixed number of digits).
  * added an Italian translation of the templates, thanks to Luca 
    Monducci.


=== debian/control ===
Source: wims
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: quilt, debhelper (>= 7.4.19), texlive-base, po-debconf, 
 libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake
Standards-Version: 3.9.1

Package: wims
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat, 
 pari-gp, gnuplot, maxima, maxima-share, octave3.0|octave, fortunes, 
 adduser, texlive-base, texlive-latex-base, texlive-fonts-recommended, 
 mailutils| mailx, units-filter (>=3.0), chemeq (>=2.7), graphviz,
 apache2|apache, wims-modules (>=3.62-14)
Recommends: yacas, gap, wims-extra-all|wims-extra
Suggests: wims-java-applets
Conflicts: wims-common (<<3.55), libwims (<<3.55), wims-modules-fr (<<3.55), 
 wims-extra(<<3.62-4), wims-modules-es(<<3.62-4)
Replaces: wims-common (<<3.55), libwims (<<3.55), wims-modules-fr (<<3.55), 
 wims-modules-es(<<3.62-4)
Provides: wims-modules-fr, wims-modules-es
Description: server for educative contents as courses, exercises, exams
 WIMS is an acronym for WWW Interactive Mathematics Server. Nowadays
 WIMS serves much more than mathematic contents (physics, chemistry,
 biology, languages).
 .
 The WIMS educational platform features a rich set of resources and
 exercises either with free access or for personalised study.
 .
  * exercises with automatic feedback and correction, which allow the
    learners to work at their own pace;
  * interactive exercices with randomly assigned data, which allow
    the learners to work on the same type of exercise but with
    different data and as often as they wish;
  * exercises with an automatic scoring system, which enhances learner
    motivation;
  * user-friendly graphics and calculation tools;
  * courses and documents with hyperlinks to the exercise pool, and also
    eventually randomly built parts to exemplify theories
  * support for exams with pre-published contents. As each individual exam
    will have randomly chosen data, training is possible but writing each
    response in advance is not. 
 .
 This package contains the WIMS fast CGI server, serving OEF documents.
 OEF is the acromym for "Open Exercise Format", a very high-level language
 which allow authors to focus on pedagogical issues.


Package: wims-modules
Architecture: all
Depends: ${misc:Depends}
Description: modules used by the WIMS server
 Wims' modules implement every user interface beyond its main page,
 the non exhaustive list of the features is: administrative tasks, help,
 and a few interactive exercises, mathematic tools, libraries ...
 .
 This package does not contain the thousands of exercices which are 
 partly provided by the optional package wims-extra.
 .
 Other educational contents can be downloaded outside of the Debian
 system by automated updates. See http://www.wimsedu.info

Package: flydraw
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat
Description: Inline drawing tool
 flydraw is an inline drawing tool, which uses libgd to output PNG, JPG, 
 GIF files. It parses its standard input for drawing commands.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PACKAGENAME=$(shell dpkg-parsechangelog | sed -n '/^Source:/{s/^Source:[[:space:]]\+\(.*\)/\1/;p;q}')

UPSTREAMVERSION=$(shell dpkg-parsechangelog | sed -n '/^Version:/{s/^Version:[[:space:]]\+\([0-9]\+:\)\?\([^-]\+\).*$$/\2/;p;q}')

ORIGTARGZ=../$(PACKAGENAME)_$(UPSTREAMVERSION).orig.tar.gz

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


include /usr/share/quilt/quilt.make
QUILT = quilt

configure: configure-stamp
configure-stamp:
	dh_testdir

	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd

	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: patch-stamp configure-stamp $(QUILT_STAMPFN)
	dh_testdir

	# Add here commands to compile the arch part of the package.
	$(MAKE) -C wims/src all
	touch build-arch-stamp

build-indep: patch-stamp build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	touch build-indep-stamp

patch: patch-stamp
patch-stamp:
	$(QUILT) push -a || test $$? = 2
	touch $@

clean: 
	dh_testdir
	dh_testroot
	$(RM) build-arch-stamp build-indep-stamp configure-stamp

	$(QUILT) pop -a || test $$? = 2
	[ ! -f wims/src/Makefile ] || $(MAKE) -C wims/src distclean

	dh_clean
	debconf-updatepo

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#
	$(MAKE) install-modules DESTDIR="$(CURDIR)"/debian/wims-modules

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR="$(CURDIR)"/debian/wims
	$(MAKE) install-flydraw DESTDIR="$(CURDIR)"/debian/flydraw

	dh_installinit 

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installdebconf	
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure unarchive edit-patch patch

## wims 4.01c

=== debian/changelog ===
wims (4.01c-4) unstable; urgency=low

  * upgraded to the last svn revision for java applet sources, which 
    removes the dependency on com.jera.anttasks, and adjusted 
    debian/copyright accordingly
  * rewritten the scripts to compile java applets, as their source code
    is no more inside tarball files.
  * added Felix Geyer's patch, which modifies the order of -lm and -lwims
    in build targets. Closes: #606469

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Jan 2011 01:54:14 +0100

wims (4.01c-3) unstable; urgency=low

  * fixed the file debian/copyright to remove the mentions about the
    metafont sources, and add Joke's "public domain" license.
  * upgraded to J.M. Evers' most recent sources for java applets. It fixes
    the compilation issues for those applets, except the ones which depend
    from ant-task com.jera.anttasks.Query
  * added a dependency on ant
  * made the license more precise: the files were released under GPL-2 and
    LGPL-2
  * updated debian/copyright with the license for Jera Ant Tasks.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 21 Dec 2010 11:25:11 +0100

wims (4.01c-2) unstable; urgency=low

  * modified the target distclean in wims/src/Makefile.in to prevent
    the creation of useless patches by quilt
  * implemented the recompilation of Joke's java archive files.
    Closes: #593912
  * removed metafont sources from the source package

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 20 Dec 2010 16:12:46 +0100

wims (4.01c-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * removed the obsoleted metafont files from the package
  * fixed a bug in wims/src/Misc/Makefile.in: now the target distclean
    depends on the target clean
  * fixed embedded javascript libraries and added dependencies on
    libjs-packages.
  * updated the file wims.postinst to reflect the changes in mkmathfonts
  * modified the messages echoed during the post-installation of wims
  * fixed one bug in wims-modules.postinst which messed the right
    permissions for /var/lib/wims/public_html/wims

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Dec 2010 23:15:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Build-Depends: quilt, debhelper (>= 7.4.19), texlive-base, po-debconf, 
- libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake
+ libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake,
+ openjdk-6-jdk, ant
 Standards-Version: 3.9.1
 
 Package: wims
@@ -13,7 +14,8 @@
  pari-gp, gnuplot, maxima, maxima-share, octave3.0|octave, fortunes, 
  adduser, texlive-base, texlive-latex-base, texlive-fonts-recommended, 
  mailutils| mailx, units-filter (>=3.0), chemeq (>=2.7), graphviz,
- apache2|apache, wims-modules (>=3.62-14)
+ libjs-prototype, libjs-mootools,
+ apache2|apache, wims-modules (>=4.01c)
 Recommends: yacas, gap, wims-extra-all|wims-extra
 Suggests: wims-java-applets
 Conflicts: wims-common (<<3.55), libwims (<<3.55), wims-modules-fr (<<3.55),

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,7 @@
 
 	# Add here commands to compile the arch part of the package.
 	$(MAKE) -C wims/src all
+	$(MAKE) javabuild
 	touch build-arch-stamp
 
 build-indep: patch-stamp build-indep-stamp
@@ -72,6 +73,7 @@
 
 	$(QUILT) pop -a || test $$? = 2
 	[ ! -f wims/src/Makefile ] || $(MAKE) -C wims/src distclean
+	rm -rf $(CURDIR)/javabuild/
 
 	dh_clean
 	debconf-updatepo

## wims 4.01e

=== wims/public_html/java/Makefile ===

all: input.jar test

input.jar: input.java
	javac -Xlint -target 1.4 -source 1.4 input.java
	jar cvf input.jar input.class inp_*.class
	rm -f input.class inp_*.class

test:
	appletviewer test.html

=== wims/src/Misc/authors/jm.evers/applets/Makefile ===
PACKAGES   = $(shell ls -Fd *| grep /| tr -d /)
HOME_WIMS  = ../../../../..
APPLET_DIR = public_html/scripts/authors/jm.evers/applets
INSTALL_DIR = $(HOME_WIMS)/$(APPLET_DIR)
LOGFILE = $(shell pwd)/log.txt

all:
	@echo "Build date: $$(date)" > $(LOGFILE)
	@echo "+--------------------------------+"
	@echo "| Compiling applets. See log.txt |"
	@echo "+--------------------------------+"
	@for d in $(PACKAGES) ; do ( \
	  echo "============== $$d ==============" >> $(LOGFILE);  \
	  cd $$d; \
	  ant -v ;  \
	  j=`find dist -iname "*.jar" 2>/dev/null`;  \
	  if [ $$j ] ; then  \
	    echo "OK: compiled $$d/$$j" >> $(LOGFILE);  \
	  else  \
	    echo "NOK for package $$d" >> $(LOGFILE);  \
	  fi; ); \
	done

clean:
	rm -rf */dist */build log.txt *~

install:
	for d in $(PACKAGES) ; do \
	  j=`find $$d/dist -iname "*.jar" 2>/dev/null`; \
	  if [ $$j ] ; then  \
	    install -m 644 $$j  $(INSTALL_DIR); \
	  fi; \
	done

.PHONY: all clean install

=== debian/changelog ===
wims (4.01e-5) unstable; urgency=low

  * modified the Recommends: line, after the publication of the package
    wims-help. This latter provides the FAQ. Closes: #624859
  * updated README.debian

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 09 May 2011 18:48:42 +0200

wims (4.01e-4) unstable; urgency=low

  * added the creation of a symlink COPYING in wims.postinst
    (don't close #624859)
  * patched wims.c to add support for ipv6. Closes: #625656
  * added a dependency wims -> ldap-utils. Closes: #625659
  * migrated the contents of /var/lib/wims/bin and /var/lib/wims/other/bin
    to /usr/lib/wims. Closes: #625201
  * updated Standards6version to 3.9.2
  * moved Joke's java binaries to /usr/share and written an overrides file
    for lintian which still complains.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 06 May 2011 19:52:45 +0200

wims (4.01e-3) unstable; urgency=low

  * changed the way used by wims to display the mailname of the domain
    in 12 source files (the change is done at post-installation time).
    Closes: #618582

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 02 Apr 2011 17:06:00 +0200

wims (4.01e-2) unstable; urgency=low

  * modified wims-modules.postinst in order to enable the user wims to
    run part of the script. Closes: #618578
  * added a README.Debian file with a warning about missing modules
    in the packages. tracher/faq belongs to the missing modules, which 
    can be retreived separately. Closes: #618491
  * merged some of the obsolete Readme.Debian into README.Debian, enhanced
    the information. Removed the subdirectory debian/utils. Closes: #618608
  * removed the files /var/lib/wims/localwims and /var/lib/wims/update.sh 
    from the binary package. Closes: #618797
  * removed /var/lib/wims/lib/libwims.a from the binary package. 
    Closes: #618918
  * moved /var/lib/wims/bin to /usr/lib/wims/bin, created the necessary
    symlink and override. Closes: #619289

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 02 Apr 2011 15:40:19 +0200

wims (4.01e-1) unstable; urgency=low

  * added a new user/group pair nowims/nowims to allow to ovveride the
    owners of a few scripts which should be as low privileged as possible.
    Closes: #618474
  * revoked the suid root privilege for the script bin/ch..root, as it is 
    not useful when the feature known as "wims_chroot" is not necessary
    (this feature is very seldom asked for). Closes: #618476
  * upgraded to the newest upstream version
  * replaced the command useradd by the command adduser in wims.preinst
    Closes: #618472
  * modified the invokations of dpkg-statoverride to respect user's overrides
    Closes: #618479
  * removed quilt-related stuff from debian/rules
    Closes: #613545

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Mar 2011 01:19:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: quilt, debhelper (>= 7.4.19), texlive-base, po-debconf, 
  libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake,
  openjdk-6-jdk, ant
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: wims
 Architecture: any
@@ -16,8 +16,8 @@
  mailutils| mailx, units-filter (>=3.0), chemeq (>=2.7), graphviz,
  libjs-prototype, libjs-mootools,
  apache2|apache, wims-modules (>=4.01c)
-Recommends: yacas, gap, wims-extra-all|wims-extra
-Suggests: wims-java-applets
+Recommends: yacas, gap, wims-help
+Suggests: wims-extra-all|wims-extra
 Conflicts: wims-common (<<3.55), libwims (<<3.55), wims-modules-fr (<<3.55), 
  wims-extra(<<3.62-4), wims-modules-es(<<3.62-4)
 Replaces: wims-common (<<3.55), libwims (<<3.55), wims-modules-fr (<<3.55),

=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,6 @@
 	CFLAGS += -O2
 endif
 
-
-include /usr/share/quilt/quilt.make
-QUILT = quilt
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -47,7 +43,7 @@
 build: build-arch build-indep
 
 build-arch: build-arch-stamp
-build-arch-stamp: patch-stamp configure-stamp $(QUILT_STAMPFN)
+build-arch-stamp: patch-stamp configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the arch part of the package.
@@ -63,7 +59,6 @@
 
 patch: patch-stamp
 patch-stamp:
-	$(QUILT) push -a || test $$? = 2
 	touch $@
 
 clean: 
@@ -71,7 +66,6 @@
 	dh_testroot
 	$(RM) build-arch-stamp build-indep-stamp configure-stamp
 
-	$(QUILT) pop -a || test $$? = 2
 	[ ! -f wims/src/Makefile ] || $(MAKE) -C wims/src distclean
 	rm -rf $(CURDIR)/javabuild/
 
@@ -102,6 +96,11 @@
 	# debian/tmp.
 	$(MAKE) install DESTDIR="$(CURDIR)"/debian/wims
 	$(MAKE) install-flydraw DESTDIR="$(CURDIR)"/debian/flydraw
+
+	# writes lintian overrides
+	install -d "$(CURDIR)"/debian/wims/usr/share/lintian/overrides/
+	install -m 644 "$(CURDIR)"/debian/wims.lintian.overrides \
+	  "$(CURDIR)"/debian/wims/usr/share/lintian/overrides/wims
 
 	dh_installinit

## wims 4.02

=== debian/changelog ===
wims (4.02-5) unstable; urgency=low

  * modified a postinst routine to cope with systems with no /etc/mailname 
    file, like Ubuntu
  * patched the file anstype/sigunits to fix a bug reported by Chantal Causse
  * separated applets in a distinct binary package

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 03 Dec 2011 23:52:53 +0100

wims (4.02-4) unstable; urgency=low

  * removed some useless debian patches, following Bernadette PERRIN-RIOU's
    hints.
  * added a forgotten dependency wims -> ldap-utils. Closes: #644060

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 02 Oct 2011 10:42:24 +0200

wims (4.02-3) unstable; urgency=low

  * modified the versioned dependency on units-filter to take in account
    a bugfix important for the anstypes sigunits and units: false results
    when numeric data came with more than 8 digits in the mantissa.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 27 Aug 2011 20:51:23 +0200

wims (4.02-2) unstable; urgency=low

  * modified the versioned dependency on units-filter to take in account
    a bugfix important for the anstype sigunits.
  * removed the part of wims.postinst which tried to install math fonts
    since they already come with the binary package.
    Closes: #639317

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 25 Aug 2011 16:23:47 +0200

wims (4.02-1) unstable; urgency=low

  * upgraded to the last upstream version
  * added a file debian/mkSourcePackage and updated debian/Readme.source
  * rewritten Makefile to take in account the new position of Joke Ever's
    java sources.
  * changed Makefile to Makefile.in in Joke Ever's source directory, modified
    src/configure.in to reflect this change. 
  * simplified the instalation of Joke Ever's applets.
  * removed the invokation of mathfonts/clean, because the mathematic fonts
    in the upstream package are currently correctly built. This makes the
    wims package bolder (by 5 MB), but in turn it releaves users from waiting
    the long time of installation due to fonts recomputation.
  * removed the construction of the symlink /etc/wims/defaults.conf in
    wims.postinst

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 18 Aug 2011 18:20:13 +0200

wims (4.01e-7) unstable; urgency=low

  * added Danish translation, thanks to Joe Dalton.
    Closes: #631305
  * fixed a bug in anstype/sigunits, and added a dependency on
    units-filter (>=3.3): this should make the analysis of significative
    digits in numbers definitely correct.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 24 Jun 2011 19:15:43 +0200

wims (4.01e-6) unstable; urgency=low

  * removed an obsolete line in wims.postinst
  * *really* added the creation of a symlink COPYING in wims.postinst

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 13 May 2011 00:09:45 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat, 
  pari-gp, gnuplot, maxima, maxima-share, octave3.0|octave, fortunes, 
  adduser, texlive-base, texlive-latex-base, texlive-fonts-recommended, 
- mailutils| mailx, units-filter (>=3.0), chemeq (>=2.7), graphviz,
- libjs-prototype, libjs-mootools,
+ mailutils| mailx, units-filter (>=3.5), chemeq (>=2.7), graphviz,
+ libjs-prototype, libjs-mootools, ldap-utils,
  apache2|apache, wims-modules (>=4.01c)
-Recommends: yacas, gap, wims-help
+Recommends: yacas, gap, wims-help, wims-java-applets
 Suggests: wims-extra-all|wims-extra
 Conflicts: wims-common (<<3.55), libwims (<<3.55), wims-modules-fr (<<3.55), 
  wims-extra(<<3.62-4), wims-modules-es(<<3.62-4)
@@ -49,6 +49,19 @@
  OEF is the acromym for "Open Exercise Format", a very high-level language
  which allow authors to focus on pedagogical issues.
 
+Package: wims-java-applets
+Architecture: all
+Depends: ${misc:Depends}
+Description: applets for modules used by the WIMS server
+ Wims' modules implement every user interface beyond its main page,
+ the non exhaustive list of the features is: administrative tasks, help,
+ and a few interactive exercises, mathematic tools, libraries ...
+ .
+ This package does not contain the thousands of exercices which are 
+ partly provided by the optional package wims-extra.
+ .
+ Other educational contents can be downloaded outside of the Debian
+ system by automated updates. See http://www.wimsedu.info
 
 Package: wims-modules
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 	# Add here commands to compile the arch part of the package.
 	$(MAKE) -C wims/src all
-	$(MAKE) javabuild
+	$(MAKE) all
 	touch build-arch-stamp
 
 build-indep: patch-stamp build-indep-stamp
@@ -66,8 +66,8 @@
 	dh_testroot
 	$(RM) build-arch-stamp build-indep-stamp configure-stamp
 
+	[ ! -f Makefile ] || $(MAKE) clean
 	[ ! -f wims/src/Makefile ] || $(MAKE) -C wims/src distclean
-	rm -rf $(CURDIR)/javabuild/
 
 	dh_clean
 	debconf-updatepo
@@ -83,6 +83,7 @@
 	# debian/<package>-doc.
 	#INSTALLDOC#
 	$(MAKE) install-modules DESTDIR="$(CURDIR)"/debian/wims-modules
+	$(MAKE) install-applets DESTDIR="$(CURDIR)"/debian/wims-java-applets
 
 	dh_install -i

## wims 4.03a

=== debian/changelog ===
wims (4.03a-5) unstable; urgency=low

  * modified slightly the script called for the trigger "wims-modules"
    it ensures that files which should be owned by wims:wims have the
    right properties. Closes: #656113

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 11 Apr 2012 15:25:36 +0000

wims (4.03a-4) unstable; urgency=low

  * restored the build of the package wims-java-applets. This package is now
    considered as Architecture: some. This is a bad trick, since it can
    be installed seamlessly on JVM-lacking architectures, and needs no
    JVM in localhost to be useful for other machines. However this trick
    will be used as a turnaround, just to enable wims' acceptance in
    testing. If a better solution is found, it will be applied then.
  * modified debian/rules: as a consequence of the previous modification,
    the package wims-java-applets must be build as an architecture dependent
    package
  * fixed the parameter WIMS_VERSION in Makefile

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 09 Mar 2012 09:32:20 +0000

wims (4.03a-3) unstable; urgency=low

  * removed the build of the package wims-java-applets, which will become
    a separate package with is own source. The problem is with the
    architectures which do not come with a JVM: they cannot build wims
    completely if they must rebuild wims-java-applets (which they should not
    need, as this package is for all architectures). Hence, wims build-depends
    no longer on ant and openjdk-6-jdk
  * upgraded Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 06 Mar 2012 18:50:06 +0000

wims (4.03a-2) unstable; urgency=low

  * fixed a bug which prevented the creation of modtool-oef exercices

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 27 Jan 2012 20:02:19 +0100

wims (4.03a-1) unstable; urgency=low

  * upgraded to the new upstream version. As the package can be installed
    inside a chroot set up by pbuilder, Closes: #656113
  * set adduser as a pre-dependency

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 27 Jan 2012 01:31:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Build-Depends: quilt, debhelper (>= 7.4.19), texlive-base, po-debconf, 
  libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake,
- openjdk-6-jdk, ant
-Standards-Version: 3.9.2
+ openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
+ ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc]
+Standards-Version: 3.9.3
 
 Package: wims
 Architecture: any
+Pre-Depends: adduser
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat, 
  pari-gp, gnuplot, maxima, maxima-share, octave3.0|octave, fortunes, 
- adduser, texlive-base, texlive-latex-base, texlive-fonts-recommended, 
+ texlive-base, texlive-latex-base, texlive-fonts-recommended, 
  mailutils| mailx, units-filter (>=3.5), chemeq (>=2.7), graphviz,
  libjs-prototype, libjs-mootools, ldap-utils,
  apache2|apache, wims-modules (>=4.01c)
@@ -50,7 +52,7 @@
  which allow authors to focus on pedagogical issues.
 
 Package: wims-java-applets
-Architecture: all
+Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
 Depends: ${misc:Depends}
 Description: applets for modules used by the WIMS server
  Wims' modules implement every user interface beyond its main page,
@@ -85,3 +87,4 @@
 Description: Inline drawing tool
  flydraw is an inline drawing tool, which uses libgd to output PNG, JPG, 
  GIF files. It parses its standard input for drawing commands.
+

=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,6 @@
 	# debian/<package>-doc.
 	#INSTALLDOC#
 	$(MAKE) install-modules DESTDIR="$(CURDIR)"/debian/wims-modules
-	$(MAKE) install-applets DESTDIR="$(CURDIR)"/debian/wims-java-applets
 
 	dh_install -i
 
@@ -97,6 +96,7 @@
 	# debian/tmp.
 	$(MAKE) install DESTDIR="$(CURDIR)"/debian/wims
 	$(MAKE) install-flydraw DESTDIR="$(CURDIR)"/debian/flydraw
+	$(MAKE) install-applets DESTDIR="$(CURDIR)"/debian/wims-java-applets
 
 	# writes lintian overrides
 	install -d "$(CURDIR)"/debian/wims/usr/share/lintian/overrides/

## wims 4.04~dfsg

=== debian/changelog ===
wims (1:4.04~dfsg-2) unstable; urgency=low

  * modified files packaged for themes. Some are now distributed as templates
    so they can be customized at postinst time. Removed the file log/unsecure
    from the package since it makes no sense for Debian installations.
    Closes:#687947

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Jan 2013 00:47:01 +0100

wims (1:4.04~dfsg-1) unstable; urgency=low

  * Modified my DEBEMAIL georgesk@ofset.org -> georgesk@debian.org
  * created a script debian/get-latest-source to retreive the last upstream
    version and strip out sourceless binaries. Closes:#691490
  * Modified the Makefile to take in account the deletions
  * Converted debian/copyright to DEP5 format
  * Added copyright information for wims/public_html/scripts/js/keyboard
  * removed javascript files embedded in wims, made links to files provided
    by the package jsxgraph. Closes:#691491

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jan 2013 22:54:45 +0100

wims (4.04-3) unstable; urgency=low

  * As gdImageDashedLine is slightly broken in latest libgd libraries,
    I implemented an emulation named "myDashedLine". This needs some
    discussion before pushing it to upstream, as most developers want to
    stick to the frozen gd library from the past.
  * Fixed a bug which appeared randomly with fellipse; replaced the invocation
    which floodfilled a "closed" arc by an invocation of gdImageFilledEllipse
    which is successful in every case.


 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 12 Oct 2012 18:52:41 +0200

wims (4.04-2) unstable; urgency=low

  * modified wims-modules.postinst to give more directories to wims:wims
    and enable the reconstruction of gifs. Closes: #687462

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 14 Sep 2012 18:11:03 +0200

wims (4.04-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * added a dependency on libjs-edit-area, replaced parts of edit_area's
    subtree by symlinks to the debian package's files.
  * fixed a bug with the symbolic link to prototype.js
  * dropped conflicts: and replaces: clauses which pointed to older packages
    no longer available in stable.
  * added debian build flags in configure's invokation.
  * modified files Makefile.in to take in account those flags
  * added a build-dependency on bison and flex

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 08 Sep 2012 14:11:04 +0200

wims (4.03a-7) unstable; urgency=low

  * modified the description, thanks to Justin B Rye. Closes: #678745 

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 24 Jun 2012 11:14:36 +0200

wims (4.03a-6) unstable; urgency=low

  * modified the rlimits for 64 bit processors
  * updated the minimum version for the dependency maxima

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 12 Jun 2012 22:13:25 +0200

## wims 4.04~dfsg2

=== debian/changelog ===
wims (1:4.04~dfsg2-2) unstable; urgency=low

  * modified wims.postinst to comply with distributions missing the file
    /etc/mailname.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 12 Jun 2013 20:43:35 +0200

wims (1:4.04~dfsg2-1) unstable; urgency=low

  * removed those symbols from the sourcve package which are generated
    during the post-installation. Closes:#687947

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 19 Jan 2013 15:08:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 configure-stamp:
 	dh_testdir
 
-	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd
+	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd CFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" CPPFLAGS="-D_FORTIFY_SOURCE=2" CXXFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" FFLAGS="-g -O2" LDFLAGS="-Wl,-z,relro"
 
 	touch configure-stamp

## wims 4.04

=== debian/changelog ===
wims (4.04-4) unstable; urgency=low

  * Modified my DEBEMAIL georgesk@ofset.org -> georgesk@debian.org
  * Added some deletion instructions in the clean target to get rid
    of sourceless contents. Sourceless contents are no longer distributed
    in the deb packages. Closes:#691490
  * Converted debian/copyright to DEP5 format
  * Added copyright information for wims/public_html/scripts/js/keyboard
  * removed javascript files embedded in wims, made links to files provided
    by the package jsxgraph. Closes:#691491

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jan 2013 22:54:45 +0100

=== debian/control ===
Source: wims
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: quilt, debhelper (>= 7.4.19), texlive-base, po-debconf, 
 libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake,
 bison, flex,
 openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
 ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc]
Standards-Version: 3.9.3

Package: wims
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat, 
 pari-gp, gnuplot, maxima (>=5.26.0), maxima-share,
 octave3.0|octave, fortunes, 
 texlive-base, texlive-latex-base, texlive-fonts-recommended, 
 mailutils| mailx, units-filter (>=3.5), chemeq (>=2.7), graphviz,
 libjs-prototype, libjs-mootools, libjs-edit-area, ldap-utils,
 apache2|apache, wims-modules (= ${source:Version})
Recommends: yacas, gap, wims-help, wims-java-applets
Suggests: wims-extra-all|wims-extra
Provides: wims-modules-fr, wims-modules-es
Description: server for educational content: courses, exercises, and exams
 The WWW Interactive Multipurpose Server is an educational platform
 originally developed for mathematics but now also supporting subjects such
 as physics, chemistry, biology, and languages.
 .
 WIMS features a rich set of resources and exercises either for
 autodidactical use or for training classes, including:
 .
  * exercises with automatic feedback and correction, allowing the
    learners to work at their own pace;
  * interactive exercises with randomly assigned data, allowing the
    learners to work on the same type of exercise but with different
    data and as often as they wish;
  * exercises with an automatic scoring system, which enhances learner
    motivation;
  * user-friendly graphics and calculation tools;
  * courses and documents with hyperlinks to the exercise pool;
    examples in the courses can be made random, so the student can get
    more than one instance of an illustration for tricky concepts;
  * support for exams with pre-published contents. As each individual
    exam will have randomly chosen data, training is possible but
    writing each response in advance is not.
 .
 This package contains the WIMS FastCGI server, serving Open Exercise
 Format (OEF) documents. OEF is a very high-level language which
 allows authors to focus on pedagogical issues.

Package: wims-modules
Architecture: all
Depends: ${misc:Depends}
Description: minimal set of modules used by WIMS
 WIMS uses modules to implement every user interface beyond its main page,
 including administrative tasks, help, mathematic tools, libraries, and a
 few interactive exercises.
 .
 To get the thousands of exercises which give WIMS its power, consider
 installing the recommended package wims-extra-all (or other packages
 which provide wims-extra).
 .
 Other educational materials can be downloaded outside of the Debian
 system by automated updates. See http://wimsedu.info

Package: wims-java-applets
Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
Depends: ${misc:Depends}
Description: applets for modules used by WIMS
 WIMS uses modules to implement every user interface beyond its main page.
 Some of them depend on Java applets; this package provides the collection
 of free applets which are maintained upstream.
 .
 Some interesting applets like Jmol are missing, since they still cannot
 be built from their source with free/libre compilers. You can get them
 from their upstream developers. 

Package: flydraw
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat
Description: command-line drawing tool
 flydraw is a drawing tool based on an interpreter which parses a
 language featuring rich graphic primitives; it uses libgd to output
 GIF, JPEG, or PNG files.
